Skip to content

ファイル一覧 Tier 2

GET/api/projects/:id/filesCopied!

プロジェクト内のファイルを返します。制限付きレビュアーには、制限付きアクセスが明示的に許可されたファイルのみ返されます。

ts
const files = await client.files.list("bdbff5de-96d7-468f-9db0-85fe28bd6b62");
bash
youvico file list --project bdbff5de-96d7-468f-9db0-85fe28bd6b62
bash
curl 'https://api.youvico.com/api/projects/bdbff5de-96d7-468f-9db0-85fe28bd6b62/files' \
  -H 'Authorization: Bearer YOUR_API_KEY'
json
{
  "data": [
    {
      "id": "FX1234567890ABCD",
      "name": "launch-cut.mp4",
      "description": "Final review upload",
      "mode": "LOCAL",
      "mimeType": "video/mp4",
      "status": "UPLOADED",
      "tag": "NEED_REVIEW",
      "size": 82415032,
      "allowRestricted": true,
      "order": 1,
      "folder": {
        "id": "DX1234567890ABCD"
      }
    }
  ]
}

リクエスト

パス

idstringrequired
プロジェクトID

レスポンス

200 OK を返します。

dataarray
ファイル
data[].idstring
ファイルID

Example: FX1234567890ABCD

data[].namestring
ファイル名

Example: launch-cut.mp4

data[].descriptionstring?
ファイル説明

Example: Final review upload

data[].modestring
ファイルのソース種別

Possible values: LOCALYOUTUBE

Example: LOCAL

data[].mimeTypestring?
MIMEタイプ

Example: video/mp4

data[].statusstring
アップロード状態

Possible values: UPLOADINGUPLOADEDFAILED

Example: UPLOADED

data[].tagstring
レビュータグ

Possible values: IN_PROGRESSNEED_REVIEWNEED_EDITON_HOLDAPPROVEDREJECTEDCLOSED

Example: NEED_REVIEW

data[].sizenumber
ファイルサイズ(バイト)

Example: 82415032

data[].allowRestrictedboolean
制限付きレビュアーがこのファイルにアクセスできるかどうか

Example: true

data[].ordernumber
表示順

Example: 1

data[].folderobject?
親フォルダー
data[].folder.idstring
親フォルダーID

Example: DX1234567890ABCD